+++
title = "Lungern, Löten, Lummerland – die Campdays im Juni 2024"
authors = ["nik", "lumi", "tuxilio"]

[taxonomies]
tags = ["Bericht"]
zielgruppe = ["Kinder und Jugendliche", "Hacker und Maker"]
aspekt = ["Campdays", "Tinkering"]

[extra.depiction]
image = "allgemein_sofa.jpg"
alt = "Viele Kinder mit fast leeren Pizzatellern sitzen, die Füße hochgelegt, draußen auf grünen Sitzsack-Sofas"
credits = "Dominik George, CC-BY-NC-ND"

[[extra.gallery.3ddrucker]]
image = "3ddrucker_1.jpg"
alt = "Kinder und Erwachsene sitzen auf grünen Stühlen vor einem Bambulab P1S"
credits = "Dominik George, CC-BY-NC-ND"

[[extra.gallery.3ddrucker]]
image = "3ddrucker_2.jpg"
alt = "Kinder und Erwachsene sitzen auf grünen Stühlen vor einem Bambulab P1S"
credits = "Dominik George, CC-BY-NC-ND"

[[extra.gallery.spardose]]
image = "spardose_1.jpg"
alt = "Ein Jugendlicher zeichnet auf einem Convertible ein Design. Zwei andere Kinder schauen dabei zu; auf dem Tisch drumherum liegen einige Münzen und ein Messschieber."
credits = "Dominik George, CC-BY-NC-ND"

[[extra.gallery.spardose]]
image = "spardose_2.jpg"
alt = "Blick über die Schulter auf ein Convertible, auf dem ein Design in Krita gezeichnet wird."
credits = "Dominik George, CC-BY-NC-ND"

[[extra.gallery.ssg]]
image = "ssg_1.jpg"
alt = "Ein Jugendlicher erklärt an einem Beamer-Bild ein Tera-Template für den Static-Site-Generator Zola."
credits = "Dominik George, CC-BY-NC-ND"

[[extra.gallery.lummerland]]
image = "lummerland_gartentisch.jpg"
alt = "Drei Jugendliche sitzen draußen um einen Gartentisch. Einer lötet auf einer Lötunterlage, einer macht etwas an seinem Laptop."
credits = "Dominik George, CC-BY-NC-ND"

[[extra.gallery.lummerland]]
image = "lummerland_loeten.jpg"
alt = "Ein Jugendlicher an einem Gartentisch lötet an einem Chassis eines Waggons; vor ihm liegen zwei kleine Elektromotoren."
credits = "Dominik George, CC-BY-NC-ND"

[[extra.gallery.lummerland]]
image = "lummerland_coding.jpg"
alt = "Drei Jugendliche sitzen mit Laptops auf einer Sitzsack-Sofa-Garnitur auf der Wiese, zwischen ihnen liegen einige Elektronikbauteile."
credits = "Dominik George, CC-BY-NC-ND"

[[extra.gallery.lummerland]]
image = "lummerland_bruecke.jpg"
alt = "Ein Jugendlicher guckt unter einer Brücke einer Garten-Miniaturbahn hindurch."
credits = "Dominik George, CC-BY-NC-ND"

[[extra.gallery.lummerland]]
image = "lummerland_test.jpg"
alt = "Drei Jugendliche hocken vor dem gebastelten Waggon aufdem Gleis der Miniaturbahn und probieren ihn aus."
credits = "Dominik George, CC-BY-NC-ND"

[[extra.gallery.sommerfest]]
image = "sommerfest_ehrungen.jpg"
alt = "Mehrere Leute stehen auf einer Wiese, einige mit Urkunde in der Hand."
credits = "Karin Meyer"

[[extra.gallery.sommerfest]]
image = "sommerfest_grillen.jpg"
alt = "Tom steht vor dem Linuxhotel mit Schürze an einem Gasgrill."
credits = "Karin Meyer"

[[extra.gallery.sommerfest]]
image = "sommerfest_laufen.jpg"
alt = "Mehrere Kinder und Jugendliche laufen um die Insel mit der Lummerland-Miniaturbahn."
credits = "Dominik George, CC-BY-NC-ND"
+++

Die [Campdays](@/gemeinschaft/offene-gemeinschaft/campdays/index.md) sind das regelmäßige Barcamp der
[Teckids-Gemeinschaft](@/gemeinschaft/offene-gemeinschaft/wer.md). Diesen Sommer
fand es wieder einmal im [Linuxhotel](https://www.linuxhotel.de/) in Essen statt,
wo wir drinnen und draußen viele Möglichkeiten nutzen konnten.

<!-- more -->

Von Freitagabend bis Sonntagnachmittag haben wir eine abwechslungsreiche Zeit mit
vielen kreativen Technikthemen und auch Freizeit mit Singen, Sport und einem kleinen
Sommerfest verbracht.

## Barcamp-Sessions

### Unboxing unseres 3D-Druckers

Über die letzten Monate hatte sich eine Gruppe, geführt von JJ und Mats, mit der Anschaffung eines
3D-Druckers beschäftigt. Hierzu hatten sie [in unserem Forum](https://forum.teckids.org/t/eigener-3d-drucker-fuer-die-teckids-gemeinschaft/2721)
Anforderungen aufgestellt und Angebote verglichen und dann letztendlich einen Bambulab P1S bestellt.

Der Drucker wurde pünktlich zu den Campdays geliefert und konnte dann im Linuxhotel ausgepackt und
ausprobiert werden. Es wurde schon viel gedruckt, aber es standen auch noch einige Überlegungen an:
Der Drucker ist seitens Bambulab eigentlich so konzipiert, dass er mit der proprietären
Bambulab-Cloud arbeiten soll. Weil uns wichtig ist, dass alle in der Teckids-Gemeinschaft alle unsere
Ausstattung uneingeschränkt benutzen können, gab es da noch einiges zu prüfen und zu diskutieren.

{{ gallery(name="3ddrucker") }}

### Elektronische Spardose mit Münzzähler

Die Session zur automatisierten Spardose begann mit einer Einigung, welches Ziel mit der Spardose
erreicht werden sollte: Einwurf und Entnahme von Münzen und deren automatische Zählung und Anzeige.
Außerdem haben wir diskutiert, welches der [schon im Forum vorgeschlagenen Designs](https://forum.teckids.org/t/automatisierte-spardose/3332)
grob hilfreich sein könnte.

Geeinigt haben wir uns darauf, dass man die Münze auf eine Art Rampe legt, deren Schlitze immer größer
werden, sodass die Münzen ihrer Größe nach sortiert werden. So fällt die Münze in den passenden Schacht
und ein Infrarot-Sensor schlägt aus.

Das Design wurde dann im zweiten Teil der Session von einer Hälfte der Teilnehmenden weiter ausgearbeitet
und verbessert – so ist die Rampe nun nicht mehr gerade, sondern spiralförming, was zu einer kompakteren
Spardose führt. Die zweite Hälfte beschäftigte sich damit, wie die Infrarot-Diode und der Infrarot-Empfänger
angeschlossen und angesteuert werden können.

{{ gallery(name="spardose") }}

### Eine Lok für die Lummerland-Bahn

Im Park des Linuxhotels gibt es eine Miniaturbahn, die die Insel [Lummerland](https://de.wikipedia.org/wiki/Lummerland)
nachbildet. Für ein paar eisenbahnbegeisterte Teilnehmende war das diesmal ein Hauptgrund für die Campdays im Linuxhotel.

In einer Session, die sich bis in den späten Abend zog, bauten wir eine eigene kleine Lok für die Modelleisenbahn.
Zuerst druckten wir dafür mit dem 3D-Drucker Räder und einen Wagen aus und schlossen daran einen ESP8266 und Motoren an.
Über einen kleinen Taster konnte man die Lok ein- und ausschalten – beim ersten Test wurde diese jedoch zu schnell
und entgleiste.

Daher begannen wir, zu testen, wie schnell oder schwer die Lok sein darf. Dabei testeten wir auch verschiedene Radgrößen
aus. Später bauten wir zusätzlich noch ein Relais zum Schalten der Motoren ein. Schließlich programmierten wir noch eine
Weboberfläche, mit der man die Lok ein- und ausschalten und steuern kann.

{{ gallery(name="lummerland") }}

Die Lummerland-Bahn bietet noch sehr viel Potential für weitere Bastelideen. Deshalb haben sich die Teilnehmenden
schon gewünscht, einmal einen ganzen Tag nur mit diesem Thema im Linuxhotel zu verbringen und
[entwickeln das Thema im Forum weiter](https://forum.teckids.org/t/lok-fuer-die-lummerland-bahn-beim-linuxhotel/3590).

### Static-Site-Generatoren

Bei der Session zu Static-Site-Generatoren beschäftigten wir uns damit, wie man eine eigene Website von
Grund auf mit [Zola](https://www.getzola.org/) bauen kann. Ein Static Site Generator ist ein Werkzeug,
das dabei hilft, statische Seiten aus Eingabedateien - wie zum Beispiel Markdown - zu erstellen. Dieser
nimmt die Inhalte, wendet eine ausgewählte Vorlage an und generiert daraus statische HTML-Seiten.

Zola ist ein in [Rust](https://www.rust-lang.org/) geschriebener Satic-Site-Generator, es gibt aber noch
viele weitere.

Wir begannen mit dem Erstellen der Seite und folgtem dem Einstigestutorial der Zola-Seite. Dabei
beschäftigten wir uns zuerst mit dem Erstellen des Grundgerüsts und einer ersten index-Seite.
Danach schrieben wir selbst verschiedene Layouts, mit denen eine Seite dann gebaut wird.

Im Rest der Session probierten wir veschieden Dinge aus, über eine eigene 404-Seite bis hin zu einer
Suche und eigenen Stylesheets.

{{ gallery(name="ssg") }}

## Sommerfest

Am Samstagabend haben wir unser etwas vorgezogenes, kleines Sommerfest gefeiert. Einige Eltern
sowie Bewohner\*innen der Villa Vogelsang kamen hinzu, um unter anderem der Würdigung ausgewählter
Mitgleider der Teckids-Gemeinschaft beizuwohnen. Neben dieser Ehrung gab es genug Platz für
sportliche Aktivitäten, Grillen und das freie Karaoke-Spiel [Performous](http://performous.org/).

{{ gallery(name="sommerfest") }}
